mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable Abstract base class for all cryptographic symmetric algorithms. Available algorithms include:
To be added
- Constructor
  Called from constructor of derived class.
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32 The block size of the cryptographic operation in bits. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 The block size of the cryptographic operation in bits. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Zeroize sensitive informations inside the algorithm implementation. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.SymmetricAlgorithm Creates the default implementation of the default symmetric algorithm (). To be added: an object of type 'SymmetricAlgorithm' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.SymmetricAlgorithm `` Specifies which derived class to create. Creates a specific implementation of the given symmetric algorithm. To be added: an object of type 'SymmetricAlgorithm' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform Gets an Decryptor transform object to work with a CryptoStream. To be added: an object of type 'ICryptoTransform' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` To be added: an object of type 'byte []' To be added: an object of type 'byte []' Gets an Decryptor transform object to work with a CryptoStream. To be added: an object of type 'ICryptoTransform' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform Gets an Encryptor transform object to work with a CryptoStream. To be added: an object of type 'ICryptoTransform' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` To be added: an object of type 'byte []' To be added: an object of type 'byte []' Gets an Encryptor transform object to work with a CryptoStream. To be added: an object of type 'ICryptoTransform' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 The feedback size of the cryptographic operation in bits. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 The feedback size of the cryptographic operation in bits. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Generate a new initialization vector (IV) for the algorithm. Used to generate an inital vector if none is specified. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void Generate a new secret key for the algorithm. Used to generate a random key if none is specified. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Byte[] The initialization vector (IV) for the symmetric algorithm. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Byte[] The initialization vector (IV) for the symmetric algorithm. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Byte[] The secret key for the symmetric algorithm. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int32 The size of the secret key used by the symmetric algorithm in bits. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 The size of the secret key used by the symmetric algorithm in bits. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Byte[] The secret key for the symmetric algorithm. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Security.Cryptography.KeySizes[] Specifies the block sizes that are supported by the symmetric algorithm. To be added: an object of type 'KeySizes []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Cryptography.KeySizes[] Specifies the block sizes that are supported by the symmetric algorithm. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Security.Cryptography.KeySizes[] Specifies the key sizes that are supported by the symmetric algorithm. To be added: an object of type 'KeySizes []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Cryptography.KeySizes[] Specifies the key sizes that are supported by the symmetric algorithm. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Security.Cryptography.CipherMode Represents the cipher mode used in the symmetric algorithm. To be added. Default mode of operation is . 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Cryptography.CipherMode Represents the cipher mode used in the symmetric algorithm. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Security.Cryptography.PaddingMode Represents the padding mode used in the symmetric algorithm. To be added. Default padding mode is . 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Cryptography.PaddingMode Represents the padding mode used in the symmetric algorithm. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` the given keyLength Checks wether the given keyLength is valid for the current algorithm. True if the key length is valid for the algorithm, false otherwise. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)